diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
index 58187df0..0ccca6f6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
@@ -678,41 +687,46 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
         $watchdog_tokens['%err_text'] = NULL;
       }
       $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_CREDENTIALS;
-      continue; // next server, please
+      // Next server, please.
+      continue;
     }
     else {
       $authentication_result = LDAP_AUTHENTICATION_RESULT_SUCCESS;
       if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER) {
-        $ldap_user = $ldap_server->userUserNameToExistingLdapEntry($authname); // after successful bind, lookup user again to get private attributes
+        // After successful bind, lookup user again to get private attributes.
+        $ldap_user = $ldap_server->userUserNameToExistingLdapEntry($authname);
         $watchdog_tokens['%mail'] = $ldap_user['mail'];
       }
       if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT ||
           $ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER) {
-          $ldap_server->disconnect();
+        $ldap_server->disconnect();
       }
       // Update ldapUser with the sid of the server that the user authenticated
       // on if that option was enabled in the LDAP user configuration.
       if ($auth_conf->ldapUser->drupalAcctProvisionServer == LDAP_USER_AUTH_SERVER_SID) {
         $auth_conf->ldapUser->drupalAcctProvisionServer = $ldap_server->sid;
       }
-      break; //success
+      // Success.
+      break;
     }
-
-  }  // end loop through servers
-
+  }
+  // End loop through servers.
   $watchdog_tokens['%result'] = $result;
   $watchdog_tokens['%auth_result'] = $authentication_result;
-  $watchdog_tokens['%err_text'] = _ldap_authentication_err_text($authentication_result) ;
+  $watchdog_tokens['%err_text'] = _ldap_authentication_err_text($authentication_result);
   if ($detailed_watchdog_log) {
     watchdog('ldap_authentication', '%username : Authentication result id=%result auth_result=%auth_result (%err_text)', $watchdog_tokens, WATCHDOG_DEBUG);
   }
 
-  return array($authentication_result, $ldap_user, $ldap_server);
+  return [$authentication_result, $ldap_user, $ldap_server];
 }
 
+/**
+ *
+ */
 function ldap_authentication_fail_response($authentication_result, $auth_conf, $detailed_watchdog_log, &$watchdog_tokens) {
   $watchdog_tokens['%err_text'] = _ldap_authentication_err_text($authentication_result);
- // fail scenario 1.  ldap auth exclusive and failed  throw error so no other authentication methods are allowed
+  // Fail scenario 1.  ldap auth exclusive and failed  throw error so no other authentication methods are allowed.
   if ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_EXCLUSIVE) {
     if ($detailed_watchdog_log) {
       watchdog('ldap_authentication', '%username : setting error because failed at ldap and
@@ -722,8 +736,8 @@ function ldap_authentication_fail_response($authentication_result, $auth_conf, $
     form_set_error('name', $watchdog_tokens['%err_text']);
   }
   else {
- // fail scenario 2.  simply fails ldap.  return false, but don't throw form error
- // don't show user message, may be using other authentication after this that may succeed.
+    // Fail scenario 2.  simply fails ldap.  return false, but don't throw form error
+    // don't show user message, may be using other authentication after this that may succeed.
     if ($detailed_watchdog_log) {
       watchdog('ldap_authentication',
         '%username : Failed ldap authentication.
@@ -737,9 +751,12 @@ function ldap_authentication_fail_response($authentication_result, $auth_conf, $
 }
 
 /**
- * get human readable authentication error string
+ * Get human readable authentication error string.
+ *
+ * @param int $error
+ *   as LDAP_AUTHENTICATION_RESULT_* constant defined in
+ *   ldap_authentication.module.
  *
- * @param int $error as LDAP_AUTHENTICATION_RESULT_* constant defined in ldap_authentication.module
  * @return string human readable error text
  */
 function _ldap_authentication_err_text($error) {
@@ -747,32 +764,32 @@ function _ldap_authentication_err_text($error) {
   $msg = t('unknown error: ' . $error);
   switch ($error) {
     case LDAP_AUTHENTICATION_RESULT_FAIL_CONNECT:
-    $msg = t('Failed to connect to ldap server');
-    break;
+      $msg = t('Failed to connect to ldap server');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_BIND:
-    $msg = t('Failed to bind to ldap server');
-    break;
+      $msg = t('Failed to bind to ldap server');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_FIND:
-    $msg = t('Sorry, unrecognized username or password.');
-    break;
+      $msg = t('Sorry, unrecognized username or password.');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_DISALLOWED:
-    $msg = t('User disallowed');
-    break;
+      $msg = t('User disallowed');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_CREDENTIALS:
-    $msg = t('Sorry, unrecognized username or password.');
-    break;
+      $msg = t('Sorry, unrecognized username or password.');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_GENERIC:
-    $msg = t('Sorry, unrecognized username or password.');
-    break;
+      $msg = t('Sorry, unrecognized username or password.');
+      break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_SERVER:
-    $msg = t('Authentication Server or Configuration Error.');
-    break;
+      $msg = t('Authentication Server or Configuration Error.');
+      break;
 
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
index 53fd0491..fd7d87b4 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
@@ -4,6 +4,8 @@ package = Lightweight Directory Access Protocol
 dependencies[] = ldap_servers
 dependencies[] = ldap_user
 core = 7.x
+php = 5.4
+
 configure = admin/config/people/ldap/authentication
 files[] = LdapAuthenticationConf.class.php
 files[] = LdapAuthenticationConfAdmin.class.php
@@ -16,8 +18,8 @@ files[] = tests/ldap_authentication.test
 
 test_dependencies[] = ldap_sso:ldap_sso
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.install b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.install
index 1adba41f..d39cd3c7 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.install
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.install
@@ -10,7 +10,7 @@
  */
 function ldap_authentication_requirements($phase) {
 
-  $requirements = array();
+  $requirements = [];
   if ($phase != "install" && db_table_exists('ldapauth')) {
     $requirements['ldap_authentication_ldap_integration']['title'] = t('LDAP Integration LDAP Auth Upgrade Concern');
     $requirements['ldap_authentication_ldap_integration']['severity'] = REQUIREMENT_WARNING;
@@ -40,61 +40,15 @@ function ldap_authentication_uninstall() {
 }
 
 /**
- * ldap_authentication and ldap_sso.  enable ldap_sso if sso was enabled in ldap_authentication previously
+ * Ldap_authentication and ldap_sso.  enable ldap_sso if sso was enabled in ldap_authentication previously.
  */
 function ldap_authentication_update_7100() {
-  // if sso is enabled in ldap authentication, enable module ldap_sso
+  // If sso is enabled in ldap authentication, enable module ldap_sso.
   module_load_include('inc', 'ldap_servers', 'ldap_servers.functions');
   ldap_servers_module_load_include('php', 'ldap_authentication', 'LdapAuthenticationConfAdmin.class');
   $sso_enabled = LdapAuthenticationConfAdmin::getSaveableProperty('ssoEnabled');
   if ($sso_enabled) {
-    module_enable(array('ldap_sso'));
+    module_enable(['ldap_sso']);
     return t('Enabled new LDAP SSO module if Single Sign on was previously enabled.  Code for LDAP Single Sign On was moved to new "LDAP SSO" included module.');
   }
 }
-
-
-function ldap_authentication_ldap_integration6_to_ldap7() {
-
- // fix authmaps
- // UPDATE {authmap} SET module = 'ldap_authentication' WHERE module = 'ldapauth'
-
- // load all users and setup user data array
-
-/**
- * CREATE TABLE `ldapauth` (
-	`sid` TINYINT(4) NOT NULL AUTO_INCREMENT,
-	`name` VARCHAR(255) NOT NULL,
-	`status` TINYINT(4) NOT NULL DEFAULT '0',
-	`server` VARCHAR(255) NOT NULL,
-	`port` INT(11) NOT NULL DEFAULT '389',
-	`tls` TINYINT(4) NOT NULL DEFAULT '0',
-	`encrypted` TINYINT(4) NOT NULL DEFAULT '0',
-	`basedn` TEXT NULL,
-	`user_attr` VARCHAR(255) NULL DEFAULT NULL,
-	`mail_attr` VARCHAR(255) NULL DEFAULT NULL,
-	`binddn` VARCHAR(255) NULL DEFAULT NULL,
-	`bindpw` VARCHAR(255) NULL DEFAULT NULL,
-	`login_php` TEXT NULL,
-	`filter_php` TEXT NULL,
-	`weight` INT(11) NOT NULL DEFAULT '0',
-	`ldapgroups_in_dn` TINYINT(4) NOT NULL DEFAULT '0',
-	`ldapgroups_dn_attribute` VARCHAR(255) NULL DEFAULT NULL,
-	`ldapgroups_attr` VARCHAR(255) NULL DEFAULT NULL,
-	`ldapgroups_in_attr` TINYINT(4) NOT NULL DEFAULT '0',
-	`ldapgroups_as_entries` TINYINT(4) NOT NULL DEFAULT '0',
-	`ldapgroups_entries` TEXT NULL,
-	`ldapgroups_entries_attribute` VARCHAR(255) NULL DEFAULT NULL,
-	`ldapgroups_mappings` TEXT NULL,
-	`ldapgroups_mappings_filter` TINYINT(4) NOT NULL DEFAULT '0',
-	`ldapgroups_filter_php` TEXT NULL,
-	`ldapgroups_groups` TEXT NULL,
-	PRIMARY KEY (`name`),
-	INDEX `sid` (`sid`)
-)
-COLLATE='utf8_general_ci'
-ENGINE=InnoDB
-ROW_FORMAT=DEFAULT
-AUTO_INCREMENT=2
- */
-}
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.module b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.module
index d816a425..1539226f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.module
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.module
@@ -54,7 +54,7 @@ define('LDAP_AUTHENTICATION_RESULT_FAIL_DISALLOWED', 4);
 define('LDAP_AUTHENTICATION_RESULT_FAIL_CREDENTIALS', 5);
 define('LDAP_AUTHENTICATION_RESULT_SUCCESS', 6);
 define('LDAP_AUTHENTICATION_RESULT_FAIL_GENERIC', 7);
-define('LDAP_AUTHENTICATION_RESULT_FAIL_SERVER'      , 8);
+define('LDAP_AUTHENTICATION_RESULT_FAIL_SERVER', 8);
 
 define('LDAP_AUTHENTICATION_ACCT_CREATION_DEFAULT', 4);
 define('LDAP_AUTHENTICATION_ACCT_CREATION_USER_SETTINGS_FOR_LDAP', 1);
@@ -62,7 +62,7 @@ define('LDAP_AUTHENTICATION_ACCT_CREATION_LDAP_BEHAVIOR', 4);
 
 define('LDAP_AUTHENTICATION_HELP_LINK_TEXT_DEFAULT', 'Logon Help');
 
-define('LDAP_AUTHENTICATION_DISABLED_FOR_BAD_CONF_MSG' , 'The site logon is currently not working due to a configuration error.  Please see logs for additional details.');
+define('LDAP_AUTHENTICATION_DISABLED_FOR_BAD_CONF_MSG', 'The site logon is currently not working due to a configuration error.  Please see logs for additional details.');
 define('LDAP_AUTHENTICATION_COOKIE_EXPIRE', 0);
 
 define('LDAP_AUTHENTICATION_REDIRECT_ON_LOGIN_DEFAULT', 0);
@@ -71,49 +71,48 @@ define('LDAP_AUTHENTICATION_REDIRECT_ON_LOGIN_DEFAULT', 0);
  * Implements hook_menu().
  */
 function ldap_authentication_menu() {
-  $items = array();
+  $items = [];
 
-  $items['user/ldap-profile-update'] = array(
+  $items['user/ldap-profile-update'] = [
     'title' => 'Update Profile',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_authentication_profile_update_form'),
+    'page arguments' => ['ldap_authentication_profile_update_form'],
     'access callback' => TRUE,
     'type' => MENU_CALLBACK,
     'file' => 'ldap_authentication.pages.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/authentication'] = array(
+  $items['admin/config/people/ldap/authentication'] = [
     'title' => 'Authentication',
     'description' => 'Configure LDAP Authentication',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_authentication_admin_form'),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_authentication_admin_form'],
+    'access arguments' => ['administer site configuration'],
     'type' => MENU_LOCAL_TASK,
     'weight' => 3,
     'file' => 'ldap_authentication.admin.inc',
-  );
+  ];
 
   return $items;
 }
 
- /**
+/**
  * Implements hook_menu_alter().
  * since menu items are cached, only useful to add or alter callbacks
  * for ldap authentication driven menu items.
- *
  */
 function ldap_authentication_menu_alter(&$items) {
   ldap_servers_module_load_include('inc', 'ldap_authentication', 'ldap_authentication');
   $items['user/password']['access callback'] = 'ldap_authentication_show_reset_pwd';
   $auth_conf = ldap_authentication_get_valid_conf();
   if (@$auth_conf->ldapUserHelpLinkUrl) {
-    $items['user/ldaphelp'] = array(
+    $items['user/ldaphelp'] = [
       'title' => $auth_conf->ldapUserHelpLinkText,
       'page callback' => 'drupal_goto',
-      'page arguments' => array($auth_conf->ldapUserHelpLinkUrl),
+      'page arguments' => [$auth_conf->ldapUserHelpLinkUrl],
       'access callback' => 'ldap_authentication_show_ldap_help_link',
       'type' => MENU_LOCAL_TASK,
-    );
+    ];
   }
 }
 
@@ -121,53 +120,51 @@ function ldap_authentication_menu_alter(&$items) {
  * Implements hook_theme().
  */
 function ldap_authentication_theme() {
-  return array(
-    'ldap_authentication_user_login_block_links' => array(
-      'variables' => array('ldap_user_help_link' => NULL, 'user_register' => TRUE),
+  return [
+    'ldap_authentication_user_login_block_links' => [
+      'variables' => ['ldap_user_help_link' => NULL, 'user_register' => TRUE],
       'render element' => 'element',
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-    'ldap_authentication_user_pass_message' => array(
-      'variables' => array('show_reset_pwd' => NULL, 'auth_conf' => TRUE),
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+    'ldap_authentication_user_pass_message' => [
+      'variables' => ['show_reset_pwd' => NULL, 'auth_conf' => TRUE],
       'render element' => 'element',
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-    'ldap_authentication_user_pass_validate_ldap_authenticated' => array(
-      'variables' => array('account' => NULL, 'auth_conf' => TRUE),
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+    'ldap_authentication_user_pass_validate_ldap_authenticated' => [
+      'variables' => ['account' => NULL, 'auth_conf' => TRUE],
       'render element' => 'element',
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-    'ldap_authentication_login_message' => array(
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+    'ldap_authentication_login_message' => [
       'render element' => 'element',
-      'variables' => array('message' => NULL),
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-    'ldap_authentication_message_not_found' => array(
+      'variables' => ['message' => NULL],
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+    'ldap_authentication_message_not_found' => [
       'render element' => 'element',
-      'variables' => array('message' => NULL),
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-    'ldap_authentication_message_not_authenticated' => array(
+      'variables' => ['message' => NULL],
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+    'ldap_authentication_message_not_authenticated' => [
       'render element' => 'element',
-      'variables' => array('message' => NULL),
-      'file' => 'ldap_authentication.theme.inc'
-    ),
-  );
+      'variables' => ['message' => NULL],
+      'file' => 'ldap_authentication.theme.inc',
+    ],
+  ];
 }
 
-
 /**
  * Implements hook_help().
  */
-
 function ldap_authentication_help($path, $arg) {
 
   $authentication_help = t('LDAP authentication allows authentication against an LDAP server.  It
         may be used alongside other authentication means such as built in Drupal authentication,
         open id, etc.  More detailed help is available on drupal.org at !helplink.',
-          array(
+          [
             '!helplink' => l(LDAP_SERVERS_DRUPAL_HELP_URL, LDAP_SERVERS_DRUPAL_HELP_URL),
-          ));
+          ]);
 
   switch ($path) {
     case 'admin/config/people/ldap/authentication':
@@ -187,16 +184,15 @@ function ldap_authentication_help($path, $arg) {
  * Currently this only checks if mail is valid or not according to the
  * authentication settings.
  *
- * @return boolean
+ * @return bool
  *   TRUE if the user's profile is valid, otherwise FALSE.
- *
  */
 function _ldap_authentication_verify_user_profile() {
   global $user;
   $result = TRUE;
   // We only want non-anonymous and non-1 users.
   if ($user->uid > 1) {
-    // we store the value in the session for speed.
+    // We store the value in the session for speed.
     if (isset($_SESSION['ldap_authentication_template']) &&
             isset($_SESSION['ldap_authentication_template']['verify_user_profile'])) {
       return $_SESSION['ldap_authentication_template']['verify_user_profile'];
@@ -207,9 +203,9 @@ function _ldap_authentication_verify_user_profile() {
       if (preg_match($regex, $user->mail)) {
         $result = FALSE;
       }
-      $_SESSION['ldap_authentication_template'] = array(
+      $_SESSION['ldap_authentication_template'] = [
         'verify_user_profile' => $result,
-      );
+      ];
     }
   }
   return $result;
@@ -232,16 +228,16 @@ function ldap_authentication_check_for_email_template() {
   if (!_ldap_authentication_verify_user_profile()) {
     $url = 'user/ldap-profile-update';
     $cp = current_path();
-    // avoid redirects on these two pages.
+    // Avoid redirects on these two pages.
     if ($cp != $url && $cp != 'user/logout') {
       if (isset($_GET['destination'])) {
         unset($_GET['destination']);
       }
-      drupal_goto($url, array(
-        'query' => array(
+      drupal_goto($url, [
+        'query' => [
           'next' => current_path(),
-        ),
-      ));
+        ],
+      ]);
     }
   }
 }
@@ -260,15 +256,14 @@ function ldap_authentication_info($field = 0) {
   return $info;
 }
 
-
 /**
  * Determines if the passed user has a valid authmap record.
  *
  * @param object $user
  *   A drupal user account.
  *
- * @return boolean
- *    true if user is recorded as ldap authenticated and identified (ldap_authentified)
+ * @return bool
+ *   true if user is recorded as ldap authenticated and identified (ldap_authentified)
  */
 function ldap_authentication_ldap_authenticated($user) {
   if (!is_object($user) || $user->uid == 0) {
@@ -284,21 +279,16 @@ function ldap_authentication_ldap_authenticated($user) {
  * A user access callback for using the single sign-on URL, denying access to
  * authenticated users, and granting access to anonymous users and menu
  * administrators viewing the menu item.
- *
  */
 function _ldap_authentication_user_access() {
-  return (boolean)(!$GLOBALS['user']->uid || !empty($GLOBALS['menu_admin']));
+  return (boolean) (!$GLOBALS['user']->uid || !empty($GLOBALS['menu_admin']));
 }
 
-
-
 /**
- * get LdapAuthenticationConf object
+ * Get LdapAuthenticationConf object.
  *
  * @return object LdapAuthenticationConf object if configured, otherwise FALSE
- *
  */
-
 function ldap_authentication_get_valid_conf($reset = FALSE) {
 
   static $auth_conf;
@@ -317,16 +307,19 @@ function ldap_authentication_get_valid_conf($reset = FALSE) {
  */
 function ldap_authentication_ldap_server_in_use($sid, $server_name) {
 
-  $use_warnings = array();
+  $use_warnings = [];
   $auth_conf = ldap_authentication_get_valid_conf();
   if ($auth_conf && in_array($sid, array_keys($auth_conf->sids)) && !empty($auth_conf->sids[$sid])) {
     $use_warnings[] = t('This server (%server_name) may not be deleted or
       disabled because it is being used for ldap authentication.',
-      array('%server_name' => $server_name));
+      ['%server_name' => $server_name]);
   }
   return $use_warnings;
 }
 
+/**
+ *
+ */
 function ldap_authentication_show_reset_pwd($user = NULL) {
 
   if (!$user) {
@@ -334,14 +327,14 @@ function ldap_authentication_show_reset_pwd($user = NULL) {
   }
   $auth_conf = ldap_authentication_get_valid_conf();
   // Hide user/password form if ldap authentication is required and deny access
-  // to users without ldap authorizations is enabled
+  // to users without ldap authorizations is enabled.
   if ($user->uid == 1 || !$auth_conf || (current_path() == 'user/password' && $auth_conf->authenticationMode != LDAP_AUTHENTICATION_EXCLUSIVE)) {
     return TRUE;
-   // always show at user/passwordurl. otherwise user 1 will not be able to reset password.
+    // Always show at user/passwordurl. otherwise user 1 will not be able to reset password.
   }
 
   if ($user->uid == 0) {
-    // hide reset password for anonymous users if ldap only authentication and password updates are disabled, otherwise show
+    // Hide reset password for anonymous users if ldap only authentication and password updates are disabled, otherwise show.
     if ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_EXCLUSIVE) {
       if ($auth_conf->passwordOption == LDAP_AUTHENTICATION_PASSWORD_FIELD_ALLOW) {
         return TRUE;
@@ -351,7 +344,7 @@ function ldap_authentication_show_reset_pwd($user = NULL) {
     return TRUE;
   }
   else {
-    // authenticated user.  hide if ldap authenticated and updating password is
+    // Authenticated user.  hide if ldap authenticated and updating password is
     // not allowed, otherwise show.
     if (ldap_authentication_ldap_authenticated($user)) {
       if ($auth_conf->passwordOption == LDAP_AUTHENTICATION_PASSWORD_FIELD_ALLOW) {
@@ -364,25 +357,22 @@ function ldap_authentication_show_reset_pwd($user = NULL) {
 
 }
 
-
 /**
  * Implements hook_form_FORM_ID_alter().
  */
-
 function ldap_authentication_form_user_pass_alter(&$form, $form_state) {
-  // the following could be in a theme preproces function
+  // The following could be in a theme preproces function.
   $auth_conf = ldap_authentication_get_valid_conf();
-  $form['ldap_warning'] = array(
-     '#type' => 'item',
-     '#markup' => theme('ldap_authentication_user_pass_message', array('auth_conf' => $auth_conf)),
-     '#weight' => 10,
-      );
+  $form['ldap_warning'] = [
+    '#type' => 'item',
+    '#markup' => theme('ldap_authentication_user_pass_message', ['auth_conf' => $auth_conf]),
+    '#weight' => 10,
+  ];
 
-  // need to insert before user_pass_validate
+  // Need to insert before user_pass_validate.
   array_unshift($form['#validate'], 'ldap_authentication_user_pass_validate');
 }
 
-
 /**
  * A validate handler on the login form. Check supplied username/password
  * against local users table. If successful, $form_state['uid']
@@ -397,7 +387,9 @@ function ldap_authentication_core_override_user_login_authenticate_validate($for
   user_login_authenticate_validate($form, $form_state);
 }
 
-
+/**
+ *
+ */
 function ldap_authentication_user_pass_validate(&$form_state) {
   $name_or_mail = trim($form_state['name']['#value']);
   if ($account = user_load_by_mail($name_or_mail)) {
@@ -408,10 +400,10 @@ function ldap_authentication_user_pass_validate(&$form_state) {
   }
 
   if (ldap_authentication_ldap_authenticated($account)) {
-    $vars = array(
+    $vars = [
       'account' => $account,
       'auth_conf' => ldap_authentication_get_valid_conf(),
-    );
+    ];
     $error = TRUE;
     if (is_object($vars['auth_conf'])) {
       if ($vars['auth_conf']->passwordOption == LDAP_AUTHENTICATION_PASSWORD_FIELD_ALLOW) {
@@ -424,9 +416,8 @@ function ldap_authentication_user_pass_validate(&$form_state) {
   }
 }
 
-
 /**
- * Implements hook_form_FORM_ID_alter(). for user_profile_form
+ * Implements hook_form_FORM_ID_alter(). for user_profile_form.
  */
 function ldap_authentication_form_user_profile_form_alter(&$form, $form_state) {
   ldap_servers_module_load_include('inc', 'ldap_authentication', 'ldap_authentication');
@@ -434,9 +425,8 @@ function ldap_authentication_form_user_profile_form_alter(&$form, $form_state) {
 
 }
 
-
 /**
- * Implements hook_form_FORM_ID_alter(). for user_login
+ * Implements hook_form_FORM_ID_alter(). for user_login.
  */
 function ldap_authentication_form_user_login_alter(&$form, &$form_state) {
   ldap_servers_module_load_include('inc', 'ldap_authentication', 'ldap_authentication');
@@ -445,7 +435,7 @@ function ldap_authentication_form_user_login_alter(&$form, &$form_state) {
 }
 
 /**
- * Implements hook_form_FORM_ID_alter(). for user_login_block
+ * Implements hook_form_FORM_ID_alter(). for user_login_block.
  */
 function ldap_authentication_form_user_login_block_alter(&$form, &$form_state) {
   ldap_servers_module_load_include('inc', 'ldap_authentication', 'ldap_authentication');
@@ -454,48 +444,44 @@ function ldap_authentication_form_user_login_block_alter(&$form, &$form_state) {
 }
 
 /**
- * validate function for user logon forms.
+ * Validate function for user logon forms.
  */
 function ldap_authentication_user_login_authenticate_validate($form, &$form_state, $return_user = FALSE) {
   ldap_servers_module_load_include('inc', 'ldap_authentication', 'ldap_authentication');
   return _ldap_authentication_user_login_authenticate_validate($form_state, $return_user);
 }
 
-
 /**
  * Implements hook_user_presave().
  *  A user account is about to be created or updated.
  */
-
 function ldap_authentication_user_presave(&$edit, $account, $category = NULL) {
 
 }
 
-
 /**
  * Implements hook_user_insert().
  *
  * A user account was created.
  * The module should save its custom additions to the user object into the database.
  */
-
 function ldap_authentication_user_insert(&$edit, $account, $category) {
 
 }
 
-
 /**
  * Implements hook_user_update().
  *
  *  A user account was updated.
  *  Modules may use this hook to update their user data in a custom storage after a user account has been updated.
  */
-
-
 function ldap_authentication_user_update($edit, $user, $category) {
 
 }
 
+/**
+ *
+ */
 function ldap_authentication_show_ldap_help_link($user = NULL) {
   global $user;
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.pages.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.pages.inc
index 06678fa5..9bacc57b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.pages.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.pages.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * User-facing page callbacks for the LDAP Authentication module.
@@ -6,27 +7,27 @@
 
 /**
  * Form constructor for updating the profile.
- * 
- * @see ldap_authentication_profile_update_form_validate().
- * @see ldap_authentication_profile_update_form_submit().
+ *
+ * @see ldap_authentication_profile_update_form_validate()
+ * @see ldap_authentication_profile_update_form_submit()
  */
 function ldap_authentication_profile_update_form($form, &$form_state) {
-  $form['mail'] = array(
+  $form['mail'] = [
     '#type' => 'textfield',
     '#required' => TRUE,
     '#title' => t('Email Address'),
-  );
-  $form['submit'] = array(
+  ];
+  $form['submit'] = [
     '#type' => 'submit',
     '#value' => t('Update Profile'),
-  );
+  ];
   return $form;
 }
 
 /**
  * Form validator for updating the profile.
- * 
- * @see ldap_authentication_profile_update_form().
+ *
+ * @see ldap_authentication_profile_update_form()
  */
 function ldap_authentication_profile_update_form_validate($form, &$form_state) {
   if (!filter_var($form_state['values']['mail'], FILTER_VALIDATE_EMAIL)) {
@@ -45,15 +46,15 @@ function ldap_authentication_profile_update_form_validate($form, &$form_state) {
 
 /**
  * Form submit handler for updating the profile.
- * 
- * @see ldap_authentication_profile_update_form().
+ *
+ * @see ldap_authentication_profile_update_form()
  */
 function ldap_authentication_profile_update_form_submit($form, &$form_state) {
   global $user;
-  if (user_save($user, array(
+  if (user_save($user, [
     'mail' => $form_state['values']['mail'],
-  ))) {
-    // prevents the cached setting from being used again.
+  ])) {
+    // Prevents the cached setting from being used again.
     unset($_SESSION['ldap_authentication_template']);
     $form_state['redirect'] = isset($_GET['next']) ? $_GET['next'] : '<front>';
     drupal_set_message(t('Your profile has been updated.'));
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.rules.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.rules.inc
index aa127ca3..7decb526 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.rules.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.rules.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * Rule implementations for the LDAP Authentication module.
@@ -8,21 +9,21 @@
  * Implements hook_rules_event_info().
  */
 function ldap_authentication_rules_event_info() {
-  return array(
-    'ldap_user_created' => array(
+  return [
+    'ldap_user_created' => [
       'label' => t('User created from LDAP entry'),
       'module' => 'ldap_authentication',
       'group' => t('User'),
-      'variables' => array(
-        'user' => array(
+      'variables' => [
+        'user' => [
           'type' => 'user',
           'label' => t('The user created.'),
-        ),
-        'email_template_used' => array(
+        ],
+        'email_template_used' => [
           'type' => 'boolean',
           'label' => t('Whether or not the email template was used to create the user.'),
-        ),
-      ),
-    ),
-  );
+        ],
+      ],
+    ],
+  ];
 }
